#!/bin/bash

if [[ $# -ne 1 ]]
then
	echo ""
	echo "$0 requires a single saved list-file argument"
	echo ""
	exit 3
fi

LIST_FILE=$1
EXT=".save"
MV=/bin/mv

if [ -e ${LIST_FILE} ]
then

	if [[ $LIST_FILE == *${EXT} ]]
	then
		BASE=$(basename $LIST_FILE $EXT)
		PATH=$(dirname $LIST_FILE )
		echo mv ${LIST_FILE} ${PATH}/${BASE}
		if  $MV ${LIST_FILE} ${PATH}/${BASE} ; then
			echo ""
			echo " Enabling source list ${BASE}"
			echo ""
		else
			echo ""
			echo "$0 failed, are you root?"
			echo ""
		fi
	else
		echo ""
		echo "  ${LIST_FILE} does not appear to be a 'saved' listi-file,"
		echo "  is does not have the $EXT extension."
		echo "  Now exiting..."
		echo ""
		exit 1
	fi
else
	echo "  ${LIST_FILE} not found"
	exit 2
fi

